package edu.berkeley.cs160.happytoastmobile.BorgTV.TVGuide;

import edu.berkeley.cs160.happytoastmobile.BorgTV.R;
import android.app.Activity;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.text.Editable;
import android.text.Selection;
import android.util.Log;
import android.view.KeyEvent;
import android.view.View;
import android.view.View.OnClickListener;
import android.view.View.OnKeyListener;
import android.widget.Button;
import android.widget.EditText;
import android.widget.Gallery;

public class GuideSearchDialog extends Activity {
	
	Thread t;
	/** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle icicle) {
        super.onCreate(icicle);
        
        char c = getIntent().getCharExtra("firstChar", '\0');
        String firstChar;
        if (c != '\0'){
        	firstChar = c + "";
        } else {
        	firstChar = "";
        }
        setContentView(R.layout.guidesearch);
        this.setTitle("Guide Search");
        
        // Set up the search field
       
        EditText search = (EditText) findViewById(R.id.searchField);
        search.setHint("Show Title");
        search.setEnabled(true);
        search.setOnKeyListener(mSearchKeyListener);
        search.setText(firstChar);
        /*
//        search.setSelection(0, 1);
        //search.append(firstChar, 0, 1);
        
        //search.setSelectAllOnFocus(true);
        Editable etext = search.getText();
        //Selection.setSelection(etext,1);
        //search.setSelection(0);
        //etext.insert(0, firstChar);
        
        //boolean b = search.onKeyDown(KeyEvent.KEYCODE_DPAD_RIGHT, new KeyEvent(KeyEvent.ACTION_DOWN, KeyEvent.KEYCODE_DPAD_RIGHT));
        boolean b = search.onKeyDown(KeyEvent.KEYCODE_F, new KeyEvent(KeyEvent.ACTION_DOWN, KeyEvent.KEYCODE_F));
        
        
        */
        
        // set up a listener for dealing with the button clicks
        OnClickListener buttonListener = new OnClickListener(){
			public void onClick(View v) {
				if (v == findViewById(R.id.okButton)){
					onOk(); // ok button calls onOK
				} else if (v == findViewById(R.id.cancelButton)){
					onCancel(); // cancel button calls onCancel
				}
			}
        };
        // attach the listener to the buttons
        Button ok = (Button) findViewById(R.id.okButton);
        ok.setOnClickListener(buttonListener);
        Button cancel = (Button) findViewById(R.id.cancelButton);
        cancel.setOnClickListener(buttonListener);
        
        
        t = new Thread(new Runnable(){
     	   public void run() { 
     		    try {
					Thread.sleep(50);
				} catch (InterruptedException e) {
					// TODO Auto-generated catch block
					//e.printStackTrace();
					/*try {
						Thread.sleep(50);
					} catch (InterruptedException e1) {
						// TODO Auto-generated catch block
						//e1.printStackTrace();
					}*/
				}
     	    	handler.sendEmptyMessage(0);
     	   }
        });
        t.start(); 
        
    }
   /* protected void onPostResume(){
    	EditText search = (EditText) findViewById(R.id.searchField);
        search.setSelection(1);
        t.interrupt();
        super.onPostResume();
    	
    }*/
    
    private void onOk(){
    	// get the newly entered tag
    	EditText search = (EditText) findViewById(R.id.searchField);
    	String newTitle = search.getText().toString();
    	// if it isn't empty...
    	if (newTitle.length() != 0){
    		// set the result for the browser to handle
	    	setResult(RESULT_OK, newTitle);
	    	// if the tag hasn't changed, pretend it's a cancel, so we don't reload.
	    	finish();
    	}
    }
    
    private void onCancel(){
    	setResult(RESULT_CANCELED, null);
    	finish();
    }
    
    
    // this is for the text field. essentially i want it to be ok to hit enter
    private OnKeyListener mSearchKeyListener = new OnKeyListener() {
    	public boolean onKey(View v, int keyCode, KeyEvent event) {
    		if (event.getAction() == KeyEvent.ACTION_UP && 
    			(keyCode == KeyEvent.KEYCODE_DPAD_CENTER ||
    			 keyCode == KeyEvent.KEYCODE_NEWLINE)){
    			onOk();
    			return true;
    		}
        	return false;
        }
    };
    /*
    public boolean onKeyDown(int keyCode, KeyEvent event){
        EditText search = (EditText) findViewById(R.id.searchField);
        search.setSelection(search.getText().length());
        return super.onKeyDown(keyCode, event);
    }   */ 
    
	private Handler handler = new Handler(){
		@Override
        public void handleMessage(Message msg) {
			EditText search = (EditText) findViewById(R.id.searchField);
	        search.setSelection(search.getText().length());
	        //search.onKeyDown(KeyEvent.KEYCODE_DPAD_DOWN, new KeyEvent(KeyEvent.ACTION_DOWN, KeyEvent.KEYCODE_DPAD_DOWN));
	        
		}
	};
	

}