package edu.berkeley.cs160.happytoastmobile.BorgTV.TVGuide;


import edu.berkeley.cs160.happytoastmobile.BorgTV.R;
import android.app.Activity;
import android.content.Context;
import android.content.Intent;
import android.content.IntentReceiver;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.ImageButton;
import android.widget.TextView;
import android.widget.Toast;



public class Reminder extends Activity{
	@Override
	public void onCreate(Bundle icicle){
		super.onCreate(icicle);
		this.setContentView(R.layout.reminder);
		this.setTitle("BorgTV Show Reminder");
		
		
		
		
		
		String channelName = getIntent().getStringExtra("channelName");
		String showTitle = getIntent().getStringExtra("showTitle");;
		final int channelNumber = getIntent().getIntExtra("channelNumber", -1);
		
		TextView tv = (TextView) findViewById(R.id.reminderTitle);
		tv.setText(showTitle + " will be airing in 5 minutes on " 
				+ channelName + ", channel " + channelNumber + ".");
		
		
		
		// set up a listener for dealing with the button clicks
		OnClickListener buttonListener = new OnClickListener(){
			public void onClick(View v) {
				switch (v.getId()){
				case R.id.reminderWatch:
					toasty("Signals Sent: " + channelNumber / 100 + " " + 
							(channelNumber%100)/10 + " " + channelNumber%10 + " " + "Enter");	
					finish();
					break;
				case R.id.reminderPower:
					toasty("Signal Sent: Power");
					break;
				case R.id.reminderIgnore:
					toasty("Reminder Ignored");
					finish(); 
					break;
				}
			}
        };
        
		Button button = (Button) findViewById(R.id.reminderWatch);
		button.setOnClickListener(buttonListener);
		button = (Button) findViewById(R.id.reminderIgnore);
		button.setOnClickListener(buttonListener);
		button = (Button) findViewById(R.id.reminderPower);
		button.setOnClickListener(buttonListener);
		
	}
	
    private void toasty(String message){
    	Toast temp = Toast.makeText(this, message, Toast.LENGTH_SHORT);
    	temp.show();
    }

}