package edu.berkeley.cs160.happytoastmobile.BorgTV.TVGuide;


import edu.berkeley.cs160.happytoastmobile.BorgTV.R;
import android.app.ActivityManager;
import android.content.Context;
import android.content.Intent;
import android.content.IntentReceiver;
import android.widget.Toast;

// Need the following import to get access to the app resources, since this
// class is in a sub-package.

/**
 * This is an example of implement an {@link IntentReceiver} for an alarm that
 * should occur once.
 * <p>
 * When the alarm goes off, we show a <i>Toast</i>, a quick message.
 */
public class ReminderIntentReceiver extends IntentReceiver
{
    @Override
    public void onReceiveIntent(Context context, Intent intent)
    {
    	String channelName = intent.getStringExtra("channelName");
		String showTitle = intent.getStringExtra("showTitle");
		int channelNumber = intent.getIntExtra("channelNumber", -1);
		
    	
    	
    	Intent newIntent = new Intent("edu.berkeley.cs160.happytoastmobile.BorgTV.Reminder");
    	newIntent.putExtra("channelName", channelName);
		newIntent.putExtra("showTitle", showTitle);
		newIntent.putExtra("channelNumber", channelNumber);
		
    	newIntent.addLaunchFlags(Intent.NEW_TASK_LAUNCH);
    	context.startActivity(newIntent);
    }
}

