package edu.berkeley.cs160.happytoastmobile.BorgTV.NineButton;

import edu.berkeley.cs160.happytoastmobile.BorgTV.R;
import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.TextView;
import android.widget.Toast;
import android.graphics.Color;

public class Edit extends Activity {
	static final String DELETE = "delete";
	static final String RENAME = "rename";
	static final int LOC = 6000;
	static final int ROOM = 6001;
	static final int DEVICE = 6020;
	EditText newName;
	Intent i;
	
	public void onCreate(Bundle icicle) {
		super.onCreate(icicle);
		setContentView(R.layout.edit);
		TextView text = (TextView) findViewById(R.id.text);
		i = getIntent();
		setTitle("Rename "+ i.getStringExtra("caller"));
		
		text.setTextColor(Color.WHITE);
		text.setText("Please enter in the new name of the choosen " + 
		             i.getStringExtra("caller") + ".");
		
		newName = (EditText) findViewById(R.id.edit);
		newName.requestFocus();
		Button cancel = (Button) findViewById(R.id.button2);
		Button ok = (Button) findViewById(R.id.button1);
		
		cancel.setText("Cancel");
		ok.setText("OK");
		
		ok.setOnClickListener(new Button.OnClickListener() {
            public void onClick(View v) {
                sendInfo();
            }
        });
		
		cancel.setOnClickListener(new Button.OnClickListener() {
            public void onClick(View v) {
                finish();
            }
        });
		
	}
	
	private void sendInfo () {
	   Bundle extras = new Bundle();
	   extras.putInt("placement", i.getIntExtra("placement", -1));
	   String edit = newName.getText().toString();
	   if (edit.equals("") || edit == null || 
	           edit.equals(MenuBorgTV.newLocation) ||
	           edit.equals(MenuLocation.newRoom) || 
	           edit.equals(MenuRoom.newDevice)) {
	       Toast error = Toast.makeText(this, "Please enter in a valid name.", Toast.LENGTH_SHORT);
           error.show();
           onCreate(null);
	   } else {
           this.setResult(Codes.RENAME_OK, edit, extras);
           finish();	       
	   }
	}  
}
